Application: gvSIG desktop - gvSIG bugs #1188
On the fly reprojection doesn't work with KML layers
10/01/2012 02:18 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document view

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2053 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG

2.- Add new View (EPSG 23030)

3.- Add new layer http://downloads.gvsig.org/download/geodata/vector/KML/Huesca SITAR_KML.zip
4.- Select properties and apply EPSG 4326, click in transformation.

5.- You can check that the Huesca.kml is not reproject well to EPSG 23030

'In gvSIG 1.11 it works fine'

1.- Abrir gvSIG

2.- Abrir nueva Vista (EPSG 23030)

3.- Anadir capa http://downloads.gvsig.org/download/geodata/vector/KML/Huesca SITAR KML.zip
4.- Seleccionar en propiedades y aplicar EPSG 4326, seleccionar transformacion

5.- Se puede observar que Huesca.kml no se repoyecta bien a EPSG 23030

'En gvSIG 1.11 funciona'

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1187: On the fly reproje... Closed

10/01/2012

History

#1 - 10/02/2012 02:05 PM - Manuel Madrid

- Subject changed from Reproject vector layers .kml not works ok to On the fly reprojection doesn't work with KML layers

- Target version set to 2.0.0-rc1

The layer is not placed correctly (easily checkable if there is a background layer in the view projection) and the coordinates keep in degrees.

#2 - 10/22/2012 10:08 AM - Manuel Madrid
- Priority changed from Normal to Urgent

#3 - 10/24/2012 11:37 AM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#4 - 10/24/2012 05:18 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

04/28/2024
http://downloads.gvsig.org/download/geodata/vector/KML/Huesca_SITAR_KML.zip
http://downloads.gvsig.org/download/geodata/vector/KML/Huesca_SITAR_KML.zip

Adding getDynValue method in GPE store provider to get CRS.

gvsig-desktop:r39093

#5 - 11/09/2012 10:57 AM - Maria Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057
